#include "main.h"

int main() {
  nzGame leJeu;

  leJeu.resetTo(setInitSeq());

  recursif(leJeu);
  return 0;
}

void recursif(nzGame leJeu) {
  int target;
  bool bloque = true;
  for (int m=0; m<8; m++) {
    target = leJeu.voisins[leJeu.lastMove()][m];
    if (target != -1) {
      nzGame laCopie = leJeu;
      if (laCopie.tryMove(target)) {
	bloque = false;
	recursif(laCopie);
      }
    }
  }
}

vector<int> setInitSeq() {
  int tInitSeq[] = {7, 9};

  vector<int> vInitSeq(tInitSeq, tInitSeq + sizeof(tInitSeq)/sizeof(int));
  return vInitSeq;
}

